/* eslint-disable prettier/prettier */
import {configureStore} from '@reduxjs/toolkit';

import authReducer from '../screens/authentication/authSlice';
import loaderReducer from './loaderSlice';
import homeReducer from '../screens/home/homeSlice';
import onLeaveReducer from '../screens/onleave/onLeaveSlice';
const rootReducer = {
  loader: loaderReducer,
  auth: authReducer,
  home: homeReducer,
  onLeave: onLeaveReducer,
};

const store = configureStore({
  reducer: rootReducer,
  middleware: getDefaultMiddleware =>
    getDefaultMiddleware({
      serializableCheck: false,
    }),
});
export default store;
