/* eslint-disable prettier/prettier */
import React from 'react';
import {Text} from 'react-native-paper';
import {fonts} from '../../assets/fonts/fonts';
import colors from '../../values/colors';

const FONT_FAMILY = fonts.beProMedium;

const AppText = ({variant, children, style, onPress, color}) => {
  const defaultStyle = {
    fontFamily: FONT_FAMILY,
    color: color ?? colors.textColor,
  };
  return (
    <Text variant={variant} style={[defaultStyle, style]} onPress={onPress}>
      {children}
    </Text>
  );
};
export default AppText;
